/* failuretime10.cpp uses a counting loop to process a collection
 * of failure times and find the mean time to failure.
 *
 *  Input:  the number of component failure times and
 *          the collection of failure times
 *  Output: prompts and the average of the failure times
 ****************************************************************/

#include <iostream.h>                 // <<, >>, cout, cin

int main()
{
   cout << "Computing Component Mean Time to Failure\n\n";

   int numComponents;
   double failureTime,
          failureTimeSum = 0.0;


   cout << "How many failure times will be entered? ";
   cin >> numComponents;

   for (int count = 1; count <= numComponents; count++)
   {
      cout << "Enter failure time #" << count << ": ";
      cin >> failureTime;

      failureTimeSum += failureTime;
   }

   if (numComponents > 0)
      cout << "\nThe mean failure time of the " 
           << numComponents << " components is " 
           << failureTimeSum / numComponents << endl;
   else
      cerr << "\nNo failure times to process!\n";

   return 0;
}

